SoSceneKit(3)

NAME
SoSceneKit - The SoSceneKit class collects node kits needed to set up a scene: camera, light and shapes.

SYNOPSIS

#include <Inventor/nodekits/SoSceneKit.h>

Inherits SoBaseKit.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual const SoNodekitCatalog * getNodekitCatalog (void) const
SoSceneKit (void)
int getCameraNumber (void)
void setCameraNumber (int camNum)
virtual SbBool affectsState (void) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static const SoNodekitCatalog * getClassNodekitCatalog (void)
static void initClass (void)

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoSceneKit ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)
static const SoNodekitCatalog ** getClassNodekitCatalogPtr (void)

  Protected Attributes
SoSFNode cameraList
SoSFNode childList
SoSFNode lightList
SoSFNode topSeparator

  Additional Inherited Members

Detailed Description

The SoSceneKit class collects node kits needed to set up a scene: camera, light and shapes. Nodekit structure (new entries versus parent class marked with arrow prefix):

CLASS SoSceneKit
-->'this'
      'callbackList'
-->   'topSeparator'
-->      'cameraList'
-->      'lightList'
-->      'childList'

(See SoBaseKit::printDiagram() for information about the output formatting.)

Detailed information on catalog parts:

CLASS SoSceneKit
PVT   'this',  SoSceneKit  ---
      'callbackList',  SoNodeKitListPart [ SoCallback, SoEventCallback ]
PVT   'topSeparator',  SoSeparator  ---
      'cameraList',  SoNodeKitListPart [ SoCameraKit ]
      'lightList',  SoNodeKitListPart [ SoLightKit ]
      'childList',  SoNodeKitListPart [ SoShapeKit, SoSeparatorKit ]

(See SoBaseKit::printTable() for information about the output formatting.)

Constructor & Destructor Documentation

  SoSceneKit::SoSceneKit (void)
Constructor.

  SoSceneKit::~SoSceneKit () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoSceneKit::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoSceneKit::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoBaseKit.

  const SoFieldData ** SoSceneKit::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoSceneKit::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoBaseKit.

  const SoNodekitCatalog * SoSceneKit::getClassNodekitCatalog (void) [static]
Returns the nodekit catalog which defines the layout of this class' kit.

  const SoNodekitCatalog * SoSceneKit::getNodekitCatalog (void) const [virtual]
Returns the nodekit catalog which defines the layout of this class' kit.

Reimplemented from SoBaseKit.

  const SoNodekitCatalog ** SoSceneKit::getClassNodekitCatalogPtr (void) [static], [protected]
Returns the pointer to the pointer of the nodekit catalog for this class.

  int SoSceneKit::getCameraNumber (void)
Returns the index of the current active camera in cameraList.

  void SoSceneKit::setCameraNumber (int camnum)
Sets the current active camera in cameraList.

  SbBool SoSceneKit::affectsState (void) const [virtual]
Returns TRUE if the node could have any effect on the state during traversal.

If it returns FALSE, no data in the traversal state will change from the pre-traversal state to the post-traversal state. The SoSeparator node will for instance return FALSE, as it pushes and pops the state before and after traversal of its children. All SoShape nodes will also return FALSE, as just pushing out geometry data to the rendering engine won't affect the actual rendering state.

The default method returns TRUE, on a 'better safe than sorry' philosophy.

Reimplemented from SoNode.

Author

Generated automatically by Doxygen for Coin from the source code.